org.richfaces.fragment.panel

## Class AbstractPanel<HEADER,BODY>

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>

- All Implemented Interfaces:
    Panel<HEADER,BODY>
  Direct Known Subclasses:
    RichFacesCollapsiblePanel, RichFacesPanel, RichFacesPopupPanel

      public abstract class AbstractPanel<HEADER,BODY>
      extends Object
      implements Panel<HEADER,BODY>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractPanel.AdvancedPanelInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPanel()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractPanel.AdvancedPanelInteractions` | `advanced()`
    `protected Class<BODY>` | `getBodyClass()`
    `BODY` | `getBodyContent()` Gets the class representing the body of this panel.
    `protected Class<HEADER>` | `getHeaderClass()`
    `HEADER` | `getHeaderContent()` Gets the class representing the header of this panel.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPanel

          public AbstractPanel()

  - ### Method Detail

    - #### advanced

          public abstract AbstractPanel.AdvancedPanelInteractions advanced()

    - #### getBodyContent

          public BODY getBodyContent()

      Description copied from interface: `Panel`
      Gets the class representing the body of this panel.
      Specified by:
        `getBodyContent` in interface `Panel<HEADER,BODY>`
      Returns:
        body page object of this panel
      See Also:
        `TextualRichFacesPanel`

    - #### getHeaderContent

          public HEADER getHeaderContent()

      Description copied from interface: `Panel`
      Gets the class representing the header of this panel.
      Specified by:
        `getHeaderContent` in interface `Panel<HEADER,BODY>`
      Returns:
        header page object of this panel
      See Also:
        `TextualRichFacesPanel`

    - #### getBodyClass

          protected Class<BODY> getBodyClass()

    - #### getHeaderClass

          protected Class<HEADER> getHeaderClass()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.